require "eventick/version"
require 'httparty'

module Eventick
  class API
    include HTTParty
    debug_output $stderr
    base_uri "https://www.eventick.com.br/api/v1/"

    def token(email, password)
      response = get('/tokens.json', email, password)
      response.parsed_response['token']
    end

    def events(token)
      response = get('/events.json', token)
      response.parsed_response['events']
    end

    def event(token, id)
      response = get("/events/#{id}.json", token)
      response.parsed_response['events']
    end

    def attendees(token, event_id)
      response = get("/events/#{event_id}/attendees.json", token)
      response.parsed_response['attendees']
    end

    private
    def get(path, username, password = nil)
      auth = { username: username, password: password }
      self.class.get(path, basic_auth: auth)
    end
  end
end
